GET /data/persons/{person_id}/quota-shots/day/{year}/{month}/{day}

Get ended shots used for quota calculation of this day.

Path parameters

  • person_id string(uuid) Required

    Person unique identifier

  • year integer Required

    Year to get quota shots for

  • month integer Required

    Month to get quota shots for

  • day integer Required

    Day to get quota shots for

Query parameters

  • count_mode string

    Count mode for quota calculation

    Values are weighted, weighteddone, feedback, or done.

Responses

  • 200 application/json

    Ended shots used for quota calculation of this day

  • 400

    Wrong date format or invalid count mode

GET /data/persons/{person_id}/quota-shots/day/{year}/{month}/{day}
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/quota-shots/day/2022/7/12?count_mode=weighted" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/quota-shots/day/2022/7/12"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "count_mode": "weighted"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/quota-shots/day/2022/7/12' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {}
]